# $Revision: 1.45 $, $Date: 2004/09/13 08:55:17 $
Summary:	Elvis is a clone of vi/ex
Summary(pl):	Elvis jest klonem edytora vi
Name:		elvis
Version:	2.2_0
Release:	2
Epoch:		1
License:	Artistic (see LICENSE.html)
Group:		Applications/Editors
Source0:	ftp://ftp.cs.pdx.edu/pub/elvis/%{name}-%{version}.tar.gz
# Source0-md5:	6831b8df3e4a530395e66c2889783752
URL:		http://elvis.vi-editor.org/
BuildRequires:	X11-devel
BuildRequires:	glibc-static
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	ncurses-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	elvis-X11

%description
Elvis is one of the most popular Vi clones. Its swift, well
documented and has many features.

%description -l pl
Elvis to jeden z popularniejszych klonw edytora vi. Jest szybki,
posiada bogate moliwoci i bardzo dobr dokumentacj.

%package static
Summary:	Static elvis
Summary(pl):	elvis skompilowany statycznie
Group:		Applications/Editors
Provides:	vi
Obsoletes:	vi
Obsoletes:	vim-static
Obsoletes:	nvi

%description static
The classic unix /bin/vi - small, statically linked editor which is
useful as a rescue tool.

%description static -l pl
Klasyczny unixowy /bin/vi - may, skompilowany statycznie edytor,
ktry przydaje si przy awarii systemu.

%prep
%setup -q

%build
CC="%{__cc} %{rpmcflags}"; export CC
%configure \
	--without-x \
	--datadir=%{_datadir}/elvis

%{__make} \
	LIBS="%{rpmldflags} -static -ltinfo"
mv -f elvis elvis.static

%{__make} clean

%configure \
	--with-x \
	--datadir=%{_datadir}/elvis

%{__make} \
	LIBS="%{rpmldflags} -ltinfo -lXft -lXpm -lX11 -L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/bin,%{_bindir},%{_mandir}/man1,%{_datadir}/elvis}

install elvis ref $RPM_BUILD_ROOT%{_bindir}
install elvis.static $RPM_BUILD_ROOT/bin/vi

for f in doc/{elv*,ref}.man ; do
	install $f $RPM_BUILD_ROOT%{_mandir}/man1/`basename $f .man`.1
done

cp -rf data/* $RPM_BUILD_ROOT%{_datadir}/elvis

mv -f doc/license.html LICENSE.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Announce* BUGS COPYING LICENSE.html README.html doc/howto.html
%attr(755,root,root) %{_bindir}/elvis
%attr(755,root,root) %{_bindir}/ref
%{_mandir}/man1/*
%{_datadir}/elvis

%files static
%defattr(644,root,root,755)
%attr(755,root,root) /bin/vi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elvis.spec,v $
Revision 1.45  2004/09/13 08:55:17  jajcus
- '-lXft -lXpm' added to $LIBS, BR: X11-devel

Revision 1.44  2004/08/18 10:59:02  undefine
- fix path to libdir on amd64

Revision 1.43  2004/02/22 00:44:25  qboosh
- updated to 2.2_0 release (2.2i was prerelease before 2.2)
- fixed static build (LDFLAGS are not used)

Revision 1.42  2003/11/08 22:54:35  qboosh
- added URL, changed Source0 URL to 2.2_0 release (2.2[ij] no longer available)

Revision 1.41  2003/08/21 21:02:42  gotar
- upgraded to 2.2i

Revision 1.40  2003/08/18 08:08:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.39  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.38  2003/05/25 05:47:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/02/18 17:52:58  misi3k
- build fix
- updated to 2.2h

Revision 1.36  2002/08/18 12:13:08  kloczek
- rename file name with license details to LICENSE.

Revision 1.35  2002/08/18 11:19:00  blues
- release 3, license fix, new doc, STBR

Revision 1.34  2002/04/25 16:15:01  arturs
fixed a small typo

Revision 1.33  2002/04/11 12:40:49  qboosh
- -static Obsoletes: vim-static, nvi; release 2

Revision 1.32  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/12/06 04:54:32  kloczek
- cosmetics.

Revision 1.29  2001/12/05 23:40:42  blues
- 2.2f
- it builds now....

Revision 1.28  2001/11/26 21:56:15  dobrek
- ORBit-devel added to BuildReq

Revision 1.27  2001/11/21 16:14:01  blues
- s/Copyright/License/
- cosmetic in files

Revision 1.26  2001/05/02 02:43:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.25  2001/03/29 08:49:45  mis
- autoupdated to 2.2c

Revision 1.24  2000/07/14 15:20:05  baggins
- version 2.2b
- fixed source URL

Revision 1.23  2000/07/13 23:07:37  baggins
- release 6
- rebuild with ncurses 5.1

Revision 1.22  2000/07/13 20:39:24  baggins
- release 5

Revision 1.21  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/18 18:30:52  kloczek
- spec adapterized.

Revision 1.19  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.17  2000/02/21 23:18:34  kura
- updated to 2.2a
- fixed problem with datadir

Revision 1.16  1999/11/19 00:36:51  kloczek
- release 3,
- build against ncurses 5.0,
- -lncurses replaced by -ltinfo.

Revision 1.15  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.1-2]
- spec cleanup

* Wed Apr 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.1-1]
- added BuildPrereq rules,
- added "Obsoletes: elvis-X11" (on contrib is avalaible this package).

* Tue Apr 27 1999 Micha Kuratczyk <kura@pld.org.pl>
- built for PLD.
